<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio 2 Angel Navarrete</title>
</head>
<body onload="cargaDatos();cargaNotas()">
    <script>
        const modulos = ["m02", "m03", "m04", "m05", "m06", "m07", "m08", "FOL"]
        const alumnoNotas = [[8, 9, 4], [9, 10], [6, 8, 10], [4], [8, 4, 7], [], [7, 5, 9, 10],[10]]
        const alumno = ["David", "López Fernandez", "DAWe", "29 / 04 / 2003"];
        function cargaDatos(){
            //Creamos el H1 para el nombre
            let nombre = document.createElement("h1");
            let contenidoNombre = document.createTextNode( alumno[0] + " "+alumno[1]);
            nombre.appendChild(contenidoNombre);
            document.body.appendChild(nombre);
            //Creamos el p para el curso
            let curso = document.createElement("p");
            let contenidoCurso = document.createTextNode( "Curso: "+ alumno[2])
            curso.appendChild(contenidoCurso);
            document.body.appendChild(curso);
            //Creamos el p de Cumpleaños
            let cumple = document.createElement("p");
            let fecha = alumno[3].split('/');
            let contenidoCumple = document.createTextNode( "Cumpleaños: " + fecha[0] + cambiarMes(fecha[1].trim()));
            cumple.appendChild(contenidoCumple);
            document.body.appendChild(cumple);
        }
        function cambiarMes(mes){
            switch(mes){
                case "01":
                    return "Enero";
                    break;
                case "02":
                    return "Febrero";
                    break;
                case "03":
                    return "Marzo";
                    break;
                case "04":
                    return "Abril";
                    break;
                case "05":
                    return "Mayo";
                    break;
                case "06":
                    return "Junio";
                    break;
                case "07":
                    return "Julio";
                    break;
                case "08":
                    return "Agosto";
                    break;
                case "09":
                    return "Septiembre";
                    break;
                case "10":
                    return "Octubre";
                    break;
                case "11":
                    return "Noviembre";
                    break;
                case "12":
                    return "Diciembre";
                    break;
            }
        }
        function cargaNotas(){
            //Titulo Notas
            let tituloNotas = document.createElement("h3");
            let contenidoNotas = document.createTextNode("Notas");
            tituloNotas.appendChild(contenidoNotas);
            document.body.appendChild(tituloNotas);
            //Creamos lista con modulos y UF
            let listaNotas = document.createElement("ul");
            document.body.appendChild(listaNotas);
            for (let i = 0; i < modulos.length; i++) {
                let tituloModulos = document.createElement("li");
                let contenidoTituloModulos = document.createTextNode(modulos[i].toUpperCase());
                tituloModulos.style.fontWeight = "bold";
                tituloModulos.appendChild(contenidoTituloModulos);
                listaNotas.appendChild(tituloModulos);
                let notas1 = alumnoNotas[i];
                for (let y = 0; y < notas1.length; y++) {
                        let notasul = document.createElement("ul");
                        let notas = document.createElement("li");
                        
                        let contenidoNotas = document.createTextNode("Unidad Formativa "+(y+1)+": "+notas1[y]);
                        notas.style.fontWeight = "normal";

                        notas.appendChild(contenidoNotas);
                        notasul.appendChild(notas)
                        tituloModulos.appendChild(notasul);
                    
                }
                
            }
        
        }

    </script>
</body>
</html>